From b3e365efdfd9087a96486a12d72d078d4adef70f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 1 Jun 2019 14:20:22 +0200
Subject: [PATCH 1/3] olm: update to 3.1.2.

---
 srcpkgs/olm/template | 14 +++++++++-----
 srcpkgs/olm/update   |  1 -
 2 files changed, 9 insertions(+), 6 deletions(-)
 delete mode 100644 srcpkgs/olm/update

diff --git a/srcpkgs/olm/template b/srcpkgs/olm/template
index 9bb8e16c291..57f34b75989 100644
--- a/srcpkgs/olm/template
+++ b/srcpkgs/olm/template
@@ -1,15 +1,19 @@
 # Template file for 'olm'
 pkgname=olm
-version=3.0.0
+version=3.1.2
 revision=1
 build_style=cmake
-configure_args="-DOLM_TESTS=OFF"
 short_desc="Implementation of the Double Ratchet cryptographic ratchet"
 maintainer="Adam Beckmeyer <adam_gpg@thebeckmeyers.xyz>"
 license="Apache-2.0"
-homepage="https://git.matrix.org/git/olm/about/"
-distfiles="https://git.matrix.org/git/olm/snapshot/olm-${version}.tar.gz"
-checksum=4c54f93e4f426a9d5c8e66e63113d42fd2afca240cdcff30a469a342a6ec3bc6
+homepage="https://gitlab.matrix.org/matrix-org/olm"
+distfiles="https://gitlab.matrix.org/matrix-org/olm/-/archive/${version}/olm-${version}.tar.bz2"
+checksum=d09f9082cdbaf4d95b0a372affdf6129a6b451913831c5915e799877acab6d49
+
+do_check() {
+	cd build/tests
+	ctest
+}
 
 olm-devel_package() {
 	depends="${sourcepkg}>=${version}_${revision}"
diff --git a/srcpkgs/olm/update b/srcpkgs/olm/update
deleted file mode 100644
index 8bd1e4e6b93..00000000000
--- a/srcpkgs/olm/update
+++ /dev/null
@@ -1 +0,0 @@
-site=https://git.matrix.org/git/olm/refs/

From fd377fe88a3d5db194c6b0aff534c71589ec9720 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 1 Jun 2019 14:20:23 +0200
Subject: [PATCH 2/3] olm-python: update to 3.1.2.

---
 srcpkgs/olm-python/template | 8 ++++----
 srcpkgs/olm-python/update   | 1 +
 2 files changed, 5 insertions(+), 4 deletions(-)
 create mode 100644 srcpkgs/olm-python/update

diff --git a/srcpkgs/olm-python/template b/srcpkgs/olm-python/template
index b081bbae205..3648ba29e6f 100644
--- a/srcpkgs/olm-python/template
+++ b/srcpkgs/olm-python/template
@@ -1,6 +1,6 @@
 # Template file for 'olm-python'
 pkgname=olm-python
-version=3.0.0
+version=3.1.2
 revision=1
 wrksrc="olm-${version}"
 build_wrksrc=python
@@ -12,9 +12,9 @@ depends="python-cffi python-future python-typing"
 short_desc="Implementation of the Double Ratchet cryptographic ratchet (Python2)"
 maintainer="Adam Beckmeyer <adam_gpg@thebeckmeyers.xyz>"
 license="Apache-2.0"
-homepage="https://git.matrix.org/git/olm/about/"
-distfiles="https://git.matrix.org/git/olm/snapshot/olm-${version}.tar.gz"
-checksum=4c54f93e4f426a9d5c8e66e63113d42fd2afca240cdcff30a469a342a6ec3bc6
+homepage="https://gitlab.matrix.org/matrix-org/olm"
+distfiles="https://gitlab.matrix.org/matrix-org/olm/-/archive/${version}/olm-${version}.tar.bz2"
+checksum=d09f9082cdbaf4d95b0a372affdf6129a6b451913831c5915e799877acab6d49
 
 pre_build() {
 	make include/olm/olm.h
diff --git a/srcpkgs/olm-python/update b/srcpkgs/olm-python/update
new file mode 100644
index 00000000000..2bb7a73e586
--- /dev/null
+++ b/srcpkgs/olm-python/update
@@ -0,0 +1 @@
+pkgname=olm

From 95e3a60feb6e39a63e67860ecb35f17a70442a4e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 1 Jun 2019 14:23:37 +0200
Subject: [PATCH 3/3] update-check: recognize all gitlab instances

---
 common/xbps-src/shutils/update_check.sh | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/xbps-src/shutils/update_check.sh b/common/xbps-src/shutils/update_check.sh
index 870fea05a7c..e2cdee3d0fc 100644
--- a/common/xbps-src/shutils/update_check.sh
+++ b/common/xbps-src/shutils/update_check.sh
@@ -48,12 +48,13 @@ update_check() {
               *cpan.*|\
               *pythonhosted.org*|\
               *github.com*|\
-              *gitlab.com*|*gitlab.gnome.org*|*gitlab.freedesktop.org*|\
+              *//gitlab.*|\
               *bitbucket.org*|\
               *ftp.gnome.org*|\
               *kernel.org/pub/linux/kernel/*|\
               *cran.r-project.org/src/contrib*|\
-              *rubygems.org*)
+              *rubygems.org*|\
+              *crates.io*)
                 continue
                 ;;
             *)
@@ -110,7 +111,7 @@ update_check() {
                 githubname="$(printf %s "$url" | cut -d/ -f4,5)"
                 url="https://github.com/$githubname/tags"
                 rx='/archive/(v?|\Q'"$pkgname"'\E-)?\K[\d\.]+(?=\.tar\.gz")';;
-            *gitlab.com*|*gitlab.gnome.org*|*gitlab.freedesktop.org*)
+            *//gitlab.*)
                 gitlaburl="$(printf %s "$url" | cut -d/ -f1-5)"
                 url="$gitlaburl/tags"
                 rx='/archive/[^/]+/\Q'"$pkgname"'\E-v?\K[\d\.]+(?=\.tar\.gz")';;
